Loading...
Searching...
No Matches
KeySwitcher Class Reference

`#include <gx_main_window.h>`

Inheritance diagram for KeySwitcher:

## Public Member Functions

| KeySwitcher (gx_engine::GxMachineBase &machine_, sigc::slot< void, const Glib::ustring &, const Glib::ustring & > display_)
bool | process_bank_key (int key)
bool | process_preset_key (int key)
void | display_key_error ()
void | deactivate ()

## Static Public Member Functions

static char | idx_to_char (int idx)
static int | key_offset_to_idx (int offset)
static char | bank_idx_to_char (int idx, int bank_size)
static int | key_offset_to_bank_idx (int offset, int bank_size)
static int | next_idx (int idx=-1)

## Private Member Functions

void | display_empty (const Glib::ustring &bank, const Glib::ustring &preset)
bool | display_selected_bank ()
bool | display_current ()

## Private Attributes

gx_engine::GxMachineBase & | machine
sigc::slot< void, const Glib::ustring &, const Glib::ustring & > | display
sigc::connection | key_timeout
Glib::ustring | last_bank_key

## Detailed Description

Definition at line 152 of file gx_main_window.h.

## Constructor & Destructor Documentation

## KeySwitcher()

KeySwitcher::KeySwitcher | ( | gx_engine::GxMachineBase & | machine_,
|  | sigc::slot< void, const Glib::ustring &, const Glib::ustring & > | display_ )

inline

Definition at line 163 of file gx_main_window.h.

## Member Function Documentation

## bank_idx_to_char()

char KeySwitcher::bank_idx_to_char | ( | int | idx,
|  | int | bank_size )

static

## deactivate()

void KeySwitcher::deactivate | ( |  | ) |

## display_current()

bool KeySwitcher::display_current | ( |  | ) |

private

## display_empty()

void KeySwitcher::display_empty | ( | const Glib::ustring & | bank,
|  | const Glib::ustring & | preset )

private

## display_key_error()

void KeySwitcher::display_key_error | ( |  | ) |

## display_selected_bank()

bool KeySwitcher::display_selected_bank | ( |  | ) |

private

## idx_to_char()

char KeySwitcher::idx_to_char | ( | int | idx | ) |

static

## key_offset_to_bank_idx()

int KeySwitcher::key_offset_to_bank_idx | ( | int | offset,
|  | int | bank_size )

static

## key_offset_to_idx()

int KeySwitcher::key_offset_to_idx | ( | int | offset | ) |

static

## next_idx()

int KeySwitcher::next_idx | ( | int | idx = -1 | ) |

static

## process_bank_key()

bool KeySwitcher::process_bank_key | ( | int | key | ) |

## process_preset_key()

bool KeySwitcher::process_preset_key | ( | int | key | ) |

## Member Data Documentation

## display

sigc::slot<void, const Glib::ustring&, const Glib::ustring&> KeySwitcher::display

private

Definition at line 155 of file gx_main_window.h.

Referenced by KeySwitcher().

## key_timeout

sigc::connection KeySwitcher::key_timeout

private

Definition at line 156 of file gx_main_window.h.

## last_bank_key

Glib::ustring KeySwitcher::last_bank_key

private

Definition at line 157 of file gx_main_window.h.

## machine

gx_engine::GxMachineBase& KeySwitcher::machine

private

Definition at line 154 of file gx_main_window.h.

Referenced by KeySwitcher().

The documentation for this class was generated from the following file:

- src/headers/gx_main_window.h